package league

import (
	"context"

	"github.com/SamuelTariku/FortuneBet-Backend/internal/domain"
)

type Service interface {
	SaveLeague(ctx context.Context, l domain.League) error
	GetAllLeagues(ctx context.Context, filter domain.LeagueFilter) ([]domain.League, error)
	SetLeagueActive(ctx context.Context, leagueId int64, isActive bool) error
	UpdateLeague(ctx context.Context, league domain.UpdateLeague) error
}
